package de.survivalprojekt.LS.Commands;

import de.survivalprojekt.LS.ServerManager;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.minimessage.MiniMessage;
import net.kyori.adventure.text.serializer.legacy.LegacyComponentSerializer;
import org.bukkit.Bukkit;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

public class WhitelistCommand implements CommandExecutor {
    @Override
    public boolean onCommand(CommandSender sender, Command command, String label, String[] args) {
        ServerManager inst = ServerManager.getInst();
        if (args.length > 0) {
            if (args[0].equals("add")) {
                if (args.length == 2) {
                    if (!inst.getWhitelistManager().addPlayer(args[1])) {
                        sender.sendMessage("§cSpieler " + args[1] + " konnte nicht hinzugefügt werden!");
                    } else {
                        sender.sendMessage("§aSpieler " + args[1] + " wurde hinzugefügt!");
                    }
                    return true;
                }
            } else if (args[0].equals("remove")) {
                if (args.length == 2) {
                    if (!inst.getWhitelistManager().removePlayer(args[1])) {
                        sender.sendMessage("§cSpieler " + args[1] + " konnte nicht entfernt!");
                    } else {
                        sender.sendMessage("§aSpieler " + args[1] + " wurde entfernt!");
                    }
                    return true;
                }
            } else if (args[0].equals("on")) {
                inst.getWhitelistManager().setWhitelistEnabled(true);
                sender.sendMessage("§aWhitelist wurde aktiviert.");
            } else if (args[0].equals("off")) {
                inst.getWhitelistManager().setWhitelistEnabled(false);
                sender.sendMessage("§cWhitelist wurde deaktiviert.");
            } else if (args[0].equals("reload")) {
                inst.getWhitelistManager().reload();
                sender.sendMessage("§aWartungskonfiguration wurde neu geladen.");
            } else {
                sender.sendMessage("§cUngültiges argument: " + args[0]);
                return false;
            }
        } else {
            sender.sendMessage("§cZu viele oder zu wenige argumente!");
            return false;
        }
        return true;
    }
}
