package de.survivalprojekt.LS.Commands;

import org.bukkit.Bukkit;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import de.survivalprojekt.LS.ServerManager;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.minimessage.MiniMessage;
import net.kyori.adventure.text.serializer.legacy.LegacyComponentSerializer;

public class WartungsCommand implements CommandExecutor {
    @Override
    public boolean onCommand(CommandSender sender, Command command, String label, String[] args) {
        ServerManager inst = ServerManager.getInst();
        if (args.length == 1) {
            if (args[0].equals("an")) {
                inst.getWartungsManager().setIsWartung(true);
                inst.getWartungsManager().save();
                for (Player pl : Bukkit.getOnlinePlayers()) {
                    if (!pl.hasPermission("lss.wartung.bypass")) {
                        String kickMessage = inst.getWartungsManager().getKickMsg();
                        MiniMessage miniMessage = MiniMessage.miniMessage();
                        Component kickComponent = miniMessage.deserialize(kickMessage);

                        pl.kickPlayer(LegacyComponentSerializer.legacySection().serialize(kickComponent));
                    } else {
                        pl.sendMessage("§aDer Wartungsmodus wurde aktiviert.");
                    }
                }
            } else if (args[0].equals("aus")) {
                inst.getWartungsManager().setIsWartung(false);
                inst.getWartungsManager().save();
                for (Player pl : Bukkit.getOnlinePlayers()) {
                    if (pl.hasPermission("lss.wartung.bypass")) {
                        pl.sendMessage("§cDer Wartungsmodus wurde deaktiviert.");
                    }
                }
            } else if (args[0].equals("reload")) {
                inst.getWartungsManager().reloadWartung();
                sender.sendMessage("§aWartungskonfiguration wurde neu geladen.");
            } else {
                sender.sendMessage("§cUngültiges argument: " + args[0]);
                return false;
            }
        } else {
            sender.sendMessage("§cZu viele oder zu wenige argumente!");
            return false;
        }
        return true;
    }
}
